Subject: Re: [RFC] kvm tools: Implement multiple VQ for virtio-net

From: Rusty Russell <[email-masked]>
Date: Wed, 16 Nov 2011 10:34:42 +1030

On Mon, 14 Nov 2011 15:05:07 +0200, "Michael S. Tsirkin" <[email-masked]> wrote:
> On Mon, Nov 14, 2011 at 02:25:17PM +0200, Pekka Enberg wrote:
> > On Mon, Nov 14, 2011 at 4:04 AM, Asias He <[email-masked]> wrote:
> > > Why both the bandwidth and latency performance are dropping so dramatically
> > > with multiple VQ?
> > 
> > What's the expected benefit from multiple VQs
> 
> Heh, the original patchset didn't mention this :) It really should.
> They are supposed to speed up networking for high smp guests.

If we have one queue per guest CPU, does this allow us to run lockless?

Thanks,
Rusty.